---
- name: Configure semaphore.
  hosts: "{{ hosts_var | default('none') }}"
  become: true

  tasks:
    - name: Update apt cache (Debian).
      ansible.builtin.apt:
        update_cache: true
        cache_valid_time: 3600
      when: ansible_facts["os_family"] == "Debian"

    - name: Install mysql.
      ansible.builtin.import_role:
        name: mysql

    - name: Install semaphore.
      ansible.builtin.import_role:
        name: semaphore
